anglestructures.h File Reference

Contains a packet representing a collection of angle structures on a triangulation. More...

`#include <algorithm>`
`#include <iterator>`
`#include <vector>`
`#include "regina-core.h"`
`#include "angle/anglestructure.h"`
`#include "packet/packet.h"`
`#include "utilities/memutils.h"`
`#include "utilities/property.h"`

## Classes

class | regina::AngleStructures
| A packet representing a collection of angle structures on a triangulation. More...
struct | regina::AngleStructures::StructureInserter
| An output iterator used to insert angle structures into an AngleStructures. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef AngleStructures | regina::NAngleStructureList
| Deprecated typedef for backward compatibility. More...

## Functions

MatrixInt * | regina::makeAngleEquations (const Triangulation< 3 > *tri)
| Creates a new set of angle structure equations for the given triangulation. More...

## Detailed Description

Contains a packet representing a collection of angle structures on a triangulation.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).